{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}
{% load gravatar %}
{% load bootstrap4 %}
{% bootstrap_javascript jquery='full' %}

{% block content %}
    <div class="shadow card mt-3">
        {% if obra.pausada == True %}
            <div class="card-header">
                <h4 class="card-subtitle mb-2 text-muted"><i class="fas fa-exclamation-circle"></i> Publicación pausada {{ obra.fecha_pausada|naturaltime }}</h4>
            </div>
        {% endif %}
        <div class="row p-3">
            <div class="col-8">
                <div id="myCarousel" class="carousel">
                    <!-- main slider carousel items -->
                    <div class="carousel-inner">
                        {% for archivo_obra in archivos_obra %}
                            {% if forloop.first %}
                                <div class="active carousel-item" data-slide-number="{{ forloop.counter0 }}">
                            {% else %}
                                <div class="carousel-item" data-slide-number="{{ forloop.counter0 }}">
                            {% endif %}
                            <img src="{{ archivo_obra.archivo.url }}" class="img-responsive mx-auto d-block" height="350">
                            </div>
                        {% endfor %}

                        <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                        </a>
                        <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                        </a>
                    </div>
                    <!-- main slider carousel nav controls -->
                    <ul class="carousel-indicators list-inline mx-auto">
                        {% for archivo_obra in archivos_obra %}
                            {% if forloop.first %}
                                <li class="list-inline-item active align-self-center">
                                <a id="carousel-selector-{{ forloop.counter0 }}" class="selected" data-slide-to="{{ forloop.counter0 }}" data-target="#myCarousel">
                            {% else %}
                                <li class="list-inline-item align-self-center">
                                <a id="carousel-selector-{{ forloop.counter0 }}" data-slide-to="{{ forloop.counter0 }}" data-target="#myCarousel">
                            {% endif %}
                            <img src="{{ archivo_obra.archivo.url }}" class="img-thumbnail mx-auto d-block" height="70" width="70">
                            </a>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <div class="detalle_comprar col-4">
                <h1>{{ obra.nombre }}</h1>
                {% if obra.fecha_publicacion %}
                    <div class="mt-2">
                        {% if obra.tipo == 'AS' %}
                            <p class="text-muted">En venta desde el {{ obra.fecha_publicacion }}</p>
                        {% else %}
                            <p class="text-muted">Publicada el {{ obra.fecha_publicacion }}</p>
                        {% endif %}
                    </div>
                {% endif %}
                {% if obra.precio and obra.tipo == 'AS' %}
                    <p class="display-4">${{ obra.precio }}</p>
                {% endif %}
                {% if obra.artista == user %}
                    <div class="row">
                        {% if obra.tipo == 'AS' %}
                            <div class="col pr-md-0 mr-md-1">
                                {% if obra.pausada == True %}
                                    <a class="btn btn-outline-success btn-block mb-2" href="{% url 'symbiarts_app:activar_obra' pk=obra.pk %}"><i class="fas fa-play-circle"></i> Activar</a>
                                {% else %}
                                    <a class="btn btn-outline-danger btn-block mb-2" href="{% url 'symbiarts_app:pausar_obra' pk=obra.pk %}"><i class="fas fa-pause-circle"></i> Pausar</a>
                                {% endif %}
                            </div>
                        {% endif %}
                        <div class="col pl-md-0 ml-md-1">
                            <a class="btn btn-outline-primary btn-block" href="{% url 'symbiarts_app:editar_obra' pk=obra.pk %}"><i class="fas fa-edit"></i> Editar</a>
                        </div>
                    </div>
                {% endif %}
                {% if obra.pausada == False and obra.artista != user and obra.tipo == 'AS' %}
                    <form class="form" action="{% url 'symbiarts_app:orquestar_compra_carrito' obra.id %}" method="post">
                        {% csrf_token %}
                        {% bootstrap_messages %}
                        {% bootstrap_form_errors formCarrito %}
                        <div class="row">
                            <div class="col-sm-4 mr-sm-1 col-md-3 col-lg-2 mr-lg-2 mr-xl-0">
                                <label class="pt-2" for="id_cantidad">Cantidad</label>
                            </div>
                            <div class="col select_cantidad">
                                {% bootstrap_field formCarrito.cantidad show_label=False %}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6 pr-lg-1 mb-2">
                                <button type="submit" class="btn btn-outline-primary btn-block" name="accion" value="agregar_al_carrito"><i class="fas fa-shopping-cart"></i> Agregar al carrito</button>
                            </div>
                            <div class="col-lg-6 pl-lg-1">
                                <button type="submit" class="btn btn-outline-success btn-block" name="accion" value="comprar"><i class="fas fa-dollar-sign"></i> Comprar</button>
                            </div>
                        </div>
                    </form>
                {% endif %}
            </div>
        </div>
        <div class="card-footer">
            {% if obra.categoria %}
                <h5 class="mt-3">Categoria: <span class="small">{{ obra.categoria }}</span></h5>
            {% endif %}
            <h5 class="mt-3">Descripcion: <span class="small">{{ obra.descripcion|linebreaksbr }}</span></h5>
            {% if obra.dimensiones %}
                <h5 class="mt-3">Dimensiones: <span class="small">{{ obra.dimensiones }}</span></h5>
            {% endif %}
            {% if obra.tipo %}
                <h5 class="mt-3">Tipo: <span class="small">{{ obra.get_tipo_display }}</span></h5>
            {% endif %}
        </div>
    </div>
    <hr>
    {% include 'symbiarts_app/nuevo_comentario.html' %}
    <hr>
    <h4 class="text-white mb-3">Ultimos comentarios</h4>
    {% for comentario in comentarios %}
        <div class="shadow card mb-3">
            <div class="comment">
                <div class="date">
                    <div class="row">
                        <div class="col-8">
                            <img src="{{ comentario.usuario|gravatar }}" alt="{{ comentario.usuario }}" class="w-40 rounded float-left">
                            <p class="float-left ml-2">{{ comentario.texto}}</p>
                        </div>
                        <div class="col-4 text-right">
                            {{ comentario.fecha|naturaltime }}
                            {% if comentario.usuario == user %}
                                <a href="{% url 'symbiarts_app:eliminar_comentario' pk=comentario.pk %}" class="btn btn-danger ml-1"><i class="far fa-trash-alt"></i></a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% empty %}
        <p class="text-white"><i class="far fa-sad-tear"></i> Aún no hay comentarios</p>
    {% endfor %}

    {% include 'symbiarts_app/paginator.html' with paginator=comentarios %}
{% endblock %}
